## afnix 2.1.1

=== Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix top level makefile                                                 -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2011 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR          = .
CONFFILE	= cnf/mak/afnix-conf.mak
RULEFILE	= cnf/mak/afnix-rule.mak
include		$(CONFFILE)

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which call the build rule

all   : build
.PHONY: all

# include: afnix-rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: debug
# configure the world in debug mode

debug:
	@$(TEST) -f bld/cnf/afnix-comp.mak && \
         $(TEST) -f bld/cnf/afnix-plat.mak || ./cnf/bin/afnix-setup -g
.PHONY: debug

# rule: optimized
# configure the world in optimized mode

optimized:
	@$(TEST) -f bld/cnf/afnix-comp.mak && \
         $(TEST) -f bld/cnf/afnix-plat.mak || ./cnf/bin/afnix-setup -o
.PHONY: optimized

# rule: build
# this rule build the complete source tree

build: debug
	@${MAKE} -C src all
	@${MAKE} -C prj all
	@${MAKE} devel
.PHONY: build

# rule: world
# this rule build the optimized world

world: optimized
	@${MAKE} -C src all
	@${MAKE} -C prj all
	@${MAKE} devel
.PHONY: world

# rule: test
# this rule build and test all libraries

test:
	@${MAKE} -C src test
	@${MAKE} -C prj test
.PHONY: test

# rule: devel
# this rule install the development file

devel:
	@${MAKE} -C cnf devel
	@${MAKE} -C tst devel
.PHONY: devel

# rule: doc
# this rule build the documentation

doc:
	@${MAKE} -C doc doc
	@${MAKE} -C src doc
	@${MAKE} -C prj doc
.PHONY: doc

# rule: distri
# this rule creates the distribution

distri:
	@$(MKDIR) $(BLDDST)
	@$(CP)    Makefile $(BLDDST)
	@${MAKE}  -C cnf distri
	@${MAKE}  -C src distri
	@${MAKE}  -C prj distri
	@${MAKE}  -C tst distri
	@${MAKE}  -C etc distri
	@${MAKE}  -C exp distri
	@${MAKE}  -C doc distri
.PHONY: distri

# rule: install
# this rule install the distribution

install:
	@${MAKE}  -C src install
	@${MAKE}  -C prj install
	@${MAKE}  -C etc install
.PHONY: install

# rule: publish
# this rule install the documentation

publish:
	@${MAKE}  -C doc publish
	@${MAKE}  -C src publish
	@${MAKE}  -C prj publish
.PHONY: publish

# rule: clean
# This rule cleans the distribution.

clean::
	@${MAKE} -C cnf clean
	@${MAKE} -C src clean
	@${MAKE} -C prj clean
	@${MAKE} -C tst clean
	@${MAKE} -C exp clean
	@${MAKE} -C doc clean
	@${MAKE} -C etc clean
	@$(RMDIR) $(BLDBIN)
	@$(RMDIR) $(BLDLIB)
	@$(RMDIR) $(BLDHDR)
	@$(RMDIR) $(BLDDST)
	@$(RMDIR) $(BLDDOC)
.PHONY: clean

# rule: reset
# This rule reset the whole distribution and configuration

reset: clean
	@$(RMDIR) $(BLDDIR)
.PHONY: reset

=== cnf/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix cnf makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2011 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/cnf

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which does nothing

all:
	@exit 0
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: devel
# this rule install the development files

devel:
	@${MAKE} -C bin devel
	@${MAKE} -C mak devel
.PHONY: devel

# rule: distri
# this rule install the mak files in the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@${MAKE}  -C bin distri
	@${MAKE}  -C def distri
	@${MAKE}  -C mak distri
.PHONY: distri

# rule: clean
# This rule cleans the configuration.

clean::
	@${MAKE} -C bin clean
	@${MAKE} -C def clean
	@${MAKE} -C mak clean

=== doc/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix doc makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2011 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-docs.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/doc

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which builds the documentation

all: doc
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: doc
# this rule prepare the documentation

doc:
	@${MAKE} -C xml doc
.PHONY: doc

# rule: distri
# this rule creates the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@${MAKE}  -C dtd distri
	@${MAKE}  -C etc distri
	@${MAKE}  -C xml distri
.PHONY: distri

# rule: publish
# this rule install the documentation

publish:
	@${MAKE} -C etc publish
	@${MAKE} -C xml publish
.PHONY: publish

# rule: clean
# This rule cleans the directories

clean::
	@${MAKE} -C dtd clean
	@${MAKE} -C etc clean
	@${MAKE} -C xml clean

=== etc/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix etc makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2011 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/etc

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which call the build rule

all:
	@exit 0
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: distri
# this rule install the etc distribution files

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile       $(DSTDIR)
	@$(CP)    afnix-gud.el   $(DSTDIR)
	@$(CP)    afnix-mode.el  $(DSTDIR)
.PHONY: distri

# rule: install
# this rule install the distribution

install:
	@$(MKDIR) $(ETCDIR)
	@$(CP)    afnix-gud.el   $(ETCDIR)
	@$(CP)    afnix-mode.el  $(ETCDIR)
.PHONY: install

=== exp/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix exp makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2011 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/exp

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which does nothing

all:
	@exit 0
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: distri
# this rule install the distribution files

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@${MAKE}  -C ref distri
	@${MAKE}  -C api distri
	@${MAKE}  -C prj distri
.PHONY: distri

# rule: clean
# this rule clean all directories

clean::
	@${MAKE} -C ref clean
	@${MAKE} -C api clean
	@${MAKE} -C prj clean
.PHONY: clean

=== prj/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix projects makefile                                                  -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2011 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/prj

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which call the build rule

all: build
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: build
# this rule build all source directories

build:
	@${MAKE} -C std all
.PHONY: build

# rule: test
# this rule build and test all projects

test:
	@${MAKE} -C std test
.PHONY: test

# rule: doc
# this rule build the documentation

doc:
	@${MAKE} -C std doc
.PHONY: doc

# rule: distri
# this rule installs the src distribution files

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@${MAKE}  -C std distri
.PHONY: distri

# rule: install
# this rule installs the distribution

install:
	@${MAKE} -C std install
.PHONY: install

# rule: publish
# this rule publish the documentation

publish:
	@${MAKE} -C std publish
.PHONY: publish

# rule: clean
# this rule clean all source directories

clean::
	@${MAKE} -C std clean
.PHONY: clean

=== src/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix src makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2011 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/src

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which call the build rule

all: build
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: build
# this rule build all source directories

build:
	@${MAKE} -C lib all
	@${MAKE} -C mod all
	@${MAKE} -C srv all
	@${MAKE} -C clt all
.PHONY: build

# rule: interp
# this rule build the base interpreter

interp:
	@${MAKE} -C lib all
	@${MAKE} -C clt interp
.PHONY: build

# rule: test
# this rule build and test all libraries

test:
	@${MAKE} -C lib test
	@${MAKE} -C clt test
	@${MAKE} -C mod test
	@${MAKE} -C srv test
.PHONY: test

# rule: doc
# this rule build the documentation

doc:
	@${MAKE} -C mod doc
	@${MAKE} -C srv doc
	@${MAKE} -C clt doc
.PHONY: doc

# rule: distri
# this rule install the src distribution files

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@${MAKE}  -C lib distri
	@${MAKE}  -C mod distri
	@${MAKE}  -C srv distri
	@${MAKE}  -C clt distri
.PHONY: distri

# rule: install
# this rule install the distribution

install:
	@${MAKE}  -C lib install
	@${MAKE}  -C mod install
	@${MAKE}  -C srv install
	@${MAKE}  -C clt install
.PHONY: install

# rule: publish
# this rule install the documentation

publish:
	@${MAKE}  -C mod publish
	@${MAKE}  -C srv publish
	@${MAKE}  -C clt publish
.PHONY: publish

# rule: clean
# this rule clean all source directories

clean::
	@${MAKE} -C lib clean
	@${MAKE} -C mod clean
	@${MAKE} -C srv clean
	@${MAKE} -C clt clean
.PHONY: clean

=== tst/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix tst makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2011 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/tst

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which run the test rule

all: test
.PHONY: test

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: devel
# this rule install the development files

devel:
	@${MAKE} -C ref devel
	@${MAKE} -C mod devel
.PHONY: devel

# rule: test
# this rule runs all test suite

test:
	@${MAKE}  -C ref
	@${MAKE}  -C mod
.PHONY: test

# rule: distri
# this rule install the mak files in the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@${MAKE}  -C ref distri
	@${MAKE}  -C mod distri
.PHONY: distri

# rule: clean
# This rule cleans the configuration.

clean::
	@${MAKE} -C ref clean
	@${MAKE} -C mod clean

=== cnf/def/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix def makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2011 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ../..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/cnf/def

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which does nothing

all:
	@exit 0
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: distri
# this rule install the def files in the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@$(CP)    *.def    $(DSTDIR)
.PHONY: distri

=== cnf/mak/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix mak makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2011 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ../..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/cnf/mak
DVLDIR		= $(BLDDVL)/mak

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which does nothing

all:
	@exit 0
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: devel
# this rule install the development file

devel:
	@$(MKDIR) $(DVLDIR)
	@$(CP)    *.mak    $(DVLDIR)
.PHONY: devel

# rule: distri
# this rule install the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@$(CP)    *.mak    $(DSTDIR)
.PHONY: distri

=== doc/dtd/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix dtd makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2011 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ../..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-docs.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/doc/dtd

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which does nothing

all:
	@exit 0
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: distri
# this rule install the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile  $(DSTDIR)
	@$(CP)    axdoc.dtd $(DSTDIR)
.PHONY: distri

=== doc/etc/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix doc etc makefile                                                   -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2011 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ../..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-docs.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/doc/etc

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which does nothing

all:
	@exit 0
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: distri
# this rule install the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile  $(DSTDIR)
	@$(CP)    style.css $(DSTDIR)
	@$(CP)    afnix.png $(DSTDIR)
.PHONY: distri

# rule: publish
# this rule install the documentation

publish:
	@$(MKDIR) $(DOCDIR)
	@$(CP)    style.css $(DOCDIR)
	@$(CP)    afnix.png $(DOCDIR)
.PHONY: publish

=== debian/changelog ===
afnix (2.1.1-2) unstable; urgency=low

  * QA upload.
  * Remove initialization code of sa_restorer.
    Update patches/fix_618706.patch. (Closes: #618706)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 06 Sep 2011 13:04:13 +0900

afnix (2.1.1-1) unstable; urgency=low

  * QA upload.
  * New upstream release. (Closes: #618978)
  * Update debian/patches.
    - Add fix_618706.patch. (Closes: #618706)
    - Update ManPageErrors.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 05 Sep 2011 15:22:48 +0900

=== debian/control ===
Source: afnix
Section: interpreters
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), libncurses5 (>= 5.5), libncurses5-dev (>= 5.5)
Standards-Version: 3.9.1
Homepage: http://www.afnix.org/

Package: afnix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: afnix-doc
Conflicts: aleph
Replaces: aleph
Section: interpreters
Description: Compiler and run-time for the AFNIX programming language
 AFNIX is a multi-threaded functional programming language with
 dynamic symbol bindings that support the object oriented paradigm.
 The language features a state of the art runtime engine. The
 distribution is available with several clients and a rich set
 of modules that are designed to be platform independent.

Package: afnix-doc
Architecture: all
Depends: ${misc:Depends}
Suggests: afnix
Section: doc
Description: Compiler and run-time for the AFNIX programming language (documentation)
 AFNIX is a multi-threaded functional programming language with
 dynamic symbol bindings that support the object oriented paradigm.
 The language features a state of the art runtime engine. The
 distribution is available with several clients and a rich set
 of modules that are designed to be platform independent.
 .
 This package contains the documentation for AFNIX.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g
EMACS_LISP=usr/share/emacs/site-lisp

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	./cnf/bin/afnix-setup -o --prefix=/usr
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE) world
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	rm -rf bld
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) PREFIX=$(CURDIR)/debian/afnix/usr SHRDIR=$(CURDIR)/debian/afnix/usr/share ALTDIR=$(CURDIR)/debian/afnix DESTDIR=$(CURDIR)/debian/afnix LIBDIR=$(CURDIR)/debian/afnix/usr/lib/afnix install publish
	mkdir -p $(CURDIR)/debian/afnix/$(EMACS_LISP)/afnix
	# Debian-specific placement of emacs lisp add-ins
	mv $(CURDIR)/debian/afnix/etc/afnix $(CURDIR)/debian/afnix/$(EMACS_LISP)
	rmdir $(CURDIR)/debian/afnix/etc

	# Rename man page from e.g. afnix::axc to plain axc (the same as the command name).
	for name in $(CURDIR)/debian/afnix/usr/share/man/man1/*; \
	do \
	    mv $$name `echo $$name | sed 's/::afnix//'`; \
	done

	for name in $(CURDIR)/debian/afnix/usr/share/man/man[2-9]/*; \
	do \
	    mv $$name `echo $$name | sed 's%\([^/]*\)::afnix%afnix-\1%'`; \
	done

	# Remove duplicate license files (lintian would complain if it knew about them)
	rm $(CURDIR)/debian/afnix/usr/share/man/man7/afnix-eul.7 $(CURDIR)/debian/afnix/usr/share/doc/afnix/eul.xht

	# Separate documentation package.
	install -d $(CURDIR)/debian/afnix-doc/usr/share/doc
	mv $(CURDIR)/debian/afnix/usr/share/doc/afnix $(CURDIR)/debian/afnix-doc/usr/share/doc


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	LD_LIBRARY_PATH=debian/afnix/usr/lib/afnix:$$LD_LIBRARY_PATH dh_shlibdeps debian/tmp/usr/bin/*
	rm -r $(CURDIR)/debian/afnix/usr/include
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb -- -Zbzip2 -z9


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## afnix 2.2.0

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2011 amaury darsch                                    -
+# - copyright (c) 1999-2012 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR          = .

=== cnf/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2011 amaury darsch                                    -
+# - copyright (c) 1999-2012 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ..

=== doc/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2011 amaury darsch                                    -
+# - copyright (c) 1999-2012 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ..

=== etc/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2011 amaury darsch                                    -
+# - copyright (c) 1999-2012 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ..

=== exp/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2011 amaury darsch                                    -
+# - copyright (c) 1999-2012 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ..

=== prj/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2011 amaury darsch                                    -
+# - copyright (c) 1999-2012 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ..

=== src/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2011 amaury darsch                                    -
+# - copyright (c) 1999-2012 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ..

=== tst/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2011 amaury darsch                                    -
+# - copyright (c) 1999-2012 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ..

=== cnf/bin/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix bin makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2012 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ../..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/cnf/bin
DVLDIR		= $(BLDDVL)/bin

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which does nothing

all:
	@exit 0
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: devel
# this rule install the development file

devel:
	@$(MKDIR) $(DVLDIR)
	@$(CP)    afnix-mkdir $(DVLDIR)
	@$(CP)    afnix-fxdir $(DVLDIR)
	@$(CP)    afnix-aexec $(DVLDIR)
	@$(CP)    afnix-bexec $(DVLDIR)
.PHONY: devel

# rule: distri
# this rule install the bin files in the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile    $(DSTDIR)
	@$(CP)    afnix-aexec $(DSTDIR)
	@$(CP)    afnix-bexec $(DSTDIR)
	@$(CP)    afnix-guess $(DSTDIR)
	@$(CP)    afnix-fxdir $(DSTDIR)
	@$(CP)    afnix-mkdir $(DSTDIR)
	@$(CP)    afnix-query $(DSTDIR)
	@$(CP)    afnix-setup $(DSTDIR)
	@$(CP)    afnix-vcomp $(DSTDIR)
.PHONY: distri

=== cnf/def/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2011 amaury darsch                                    -
+# - copyright (c) 1999-2012 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ../..

=== cnf/mak/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2011 amaury darsch                                    -
+# - copyright (c) 1999-2012 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ../..

=== doc/dtd/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2011 amaury darsch                                    -
+# - copyright (c) 1999-2012 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ../..

=== debian/changelog ===
afnix (2.2.0-2ubuntu1) saucy; urgency=low

  * Fix FTBFS by linking libafnix-plt with pthread (LP: #1229279)

 -- Andreas Moog <amoog@ubuntu.com>  Mon, 23 Sep 2013 18:27:26 +0200

afnix (2.2.0-2) unstable; urgency=low

  * Update debian/control.
    - Update Standards-Version to 3.9.3.
  * Fix build hardening flags missing. (Closes: #665381)
    - Add patches/use-dpkg-buildflags.patch and patches/verbose-build.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 27 Mar 2012 08:02:44 +0900

afnix (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/rules.
    - Added build-arch and build-indep targets.
    - Use buildflags.mk from dpkg to set default compiler flags.
  * Update debian/control.
    Build-Depends on dpkg-dev (>= 1.16.1~) for buildflags.mk.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 10 Jan 2012 00:08:23 +0900

afnix (2.1.1-3) unstable; urgency=low

  * New maintainer. (Closes: #475377)
  * Update Standards-Version to 3.9.2.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 14 Nov 2011 19:16:09 +0900

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: afnix
 Section: interpreters
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 7), libncurses5 (>= 5.5), libncurses5-dev (>= 5.5)
-Standards-Version: 3.9.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Build-Depends: debhelper (>= 7), libncurses5 (>= 5.5), libncurses5-dev (>= 5.5),
+	dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.3
 Homepage: http://www.afnix.org/
 
 Package: afnix

=== debian/rules ===
--- 
+++ 
@@ -4,14 +4,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CFLAGS = -Wall -g
+DPKG_EXPORT_BUILDFLAGS=1
+include /usr/share/dpkg/buildflags.mk
+
 EMACS_LISP=usr/share/emacs/site-lisp
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
 
 configure: configure-stamp
 configure-stamp:
@@ -19,9 +15,9 @@
 	./cnf/bin/afnix-setup -o --prefix=/usr
 	touch configure-stamp
 
-
-build: build-stamp
-
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure-stamp 
 	dh_testdir
 	$(MAKE) world
@@ -87,6 +83,5 @@
 	dh_md5sums
 	dh_builddeb -- -Zbzip2 -z9
 
-
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure
